<template>
  <b-card>

    <b-row>
      <b-col
        cols="21"
        xl="6"
        class="d-flex justify-content-between flex-column"
      >

        <div class="d-flex justify-content-start">
          <b-avatar
        
            src="https://st2.depositphotos.com/4320021/42738/v/600/depositphotos_427388288-stock-illustration-attendance-clipboard-with-checklist-businessman.jpg"
            size="104px"
            rounded
          />
          <div class="d-flex flex-column ml-1">
            <div v-if="attendanceData.user">
              <b-card style="max-width: 25rem;" >
                <feather-icon
                  icon="AlignRightIcon"
                  class="mr-75"
                />
                <span class="font-weight-bold">Registro de asistencia</span><br>
                 Registro de asistencia del usuario {{attendanceData.user.name}} {{ attendanceData.user.last_name}}
                 de la fecha {{attendanceData.date}}
  
              </b-card>
            </div>
                
            <br>
            <div class="d-flex flex-wrap">
              <b-button
                class="ml-1"
                @click="$router.back()"
              >
                Regresar
              </b-button>
              <b-button
                v-show="checkEditPermission"
                class="ml-1"
                variant="primary"
                @click="showModal"
              >
                Editar
              </b-button>
            </div>     
            
          </div>
        </div>
   
      </b-col>

      <b-col
        cols="12"
        xl="6"
      >
        <table class="mt-2 mt-xl-0 w-100">
        <tr>
            <th class="pb-50">
              <feather-icon
                icon="CheckIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Fecha:</span>
            </th>
            <td class="pb-50">
              {{ attendanceData.date }}
            </td>
          </tr>
          
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="FlagIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Hora de entrada:</span>
            </th>
            <td class="pb-50">
              {{ attendanceData.start_time }}
            </td>
          </tr>

          <tr>
            <th class="pb-50">
              <feather-icon
                icon="FlagIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Hora de salida:</span>
            </th>
            <td class="pb-50">
              {{ attendanceData.end_time }}
            </td>
          </tr>

          <tr>
            <th class="pb-50">
              <feather-icon
                icon="ClockIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Horas trabajadas:</span>
            </th>
            <td class="pb-50">
              {{ attendanceData.worked_hours}}
            </td>
          </tr>
         
        </table>
      </b-col>
    </b-row>
   <modal-edit-attendance @success="reload"></modal-edit-attendance>
  </b-card>
</template>

<script>
import {
  BCard, BButton, BAvatar, BRow, BCol,BProgress,
} from 'bootstrap-vue'
import ModalEditAttendance from './ModalEditAttendance.vue'

export default {
  name:'attendance-view-info-card',
  methods: {
  },
  components: {
    BCard, BButton, BRow, BCol, BAvatar,BProgress,ModalEditAttendance
  },
  props: {
    attendanceData: {
      type: Object,
      required: true,
    },
  },
  methods:{
  
    showModal(){
      this.$bvModal.show('modal-editAttendance')
    },
    reload(e){
      if(e){
        this.$emit('success', true)
      }
    },
    checkEditPermission() {
      // check vuex store //
      let userData = JSON.parse(localStorage.userData)
      if (userData.permissions.find( permission => permission.name === 'edit-users-attendance' )) {
        return true
      } else {
        return false
      }
    }
   
  
    
  }
}
</script>

<style>

</style>
